## org.apache.bcel.generic
Class INVOKESPECIAL

    java.lang.Object
      |
      +--org.apache.bcel.generic.Instruction
            |
            +--org.apache.bcel.generic.CPInstruction
                  |
                  +--org.apache.bcel.generic.FieldOrMethod
                        |
                        +--org.apache.bcel.generic.InvokeInstruction
                              |
                              +--org.apache.bcel.generic.INVOKESPECIAL

All Implemented Interfaces:
  java.lang.Cloneable, ExceptionThrower, IndexedInstruction, LoadClass, java.io.Serializable, StackConsumer, StackProducer, TypedInstruction

public class INVOKESPECIAL
extends InvokeInstruction

INVOKESPECIAL - Invoke instance method; special handling for superclass, private and instance initialization method invocations

    Stack: ..., objectref, [arg1, [arg2 ...]] -> ...

Version:
  $Id: INVOKESPECIAL.java,v 1.1.1.1 2001/10/29 20:00:16 jvanzyl Exp $
Author:
  M. Dahm
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.CPInstruction
`index`

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`INVOKESPECIAL(int index)`

Method Summary
`void` `accept(Visitor v)` Call corresponding visitor method(s).
`java.lang.Class[]` `getExceptions()`

Methods inherited from class org.apache.bcel.generic.InvokeInstruction
`consumeStack, getArgumentTypes, getMethodName, getReturnType, getType, produceStack, toString`

Methods inherited from class org.apache.bcel.generic.FieldOrMethod
`getClassName, getClassType, getLoadClassType, getName, getSignature`

Methods inherited from class org.apache.bcel.generic.CPInstruction
`dump, getIndex, initFromFile, setIndex, toString`

Methods inherited from class org.apache.bcel.generic.Instruction
`copy, equals, getComparator, getLength, getName, getOpcode, readInstruction, setComparator, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### INVOKESPECIAL

    public INVOKESPECIAL(int index)

Method Detail

### getExceptions

    public java.lang.Class[] getExceptions()

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.

  Specified by:
    `accept` in class `Instruction`
  Parameters:
    `v` - Visitor object

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.